<?php
// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based photo gallery                                    |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
// | Copyright(C) 2003-2008 Piwigo team   		  http://phpwebgallery.net |
// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Simple Sort Orders
Version: 1.0.0
Description: Changes the sort order dropdown to be 3 simple options (Default, Oldest First and Newest First)
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=555
Author: Brook Jordan
Author URI: http://piwigo.org/forum/profile.php?id=13841
*/

add_event_handler('get_category_preferred_image_orders', 'setup_simple_sort_order_options');

function setup_simple_sort_order_options($order)
{
  return array(
    array(l10n('Default'), '', true),
    array(l10n('Oldest First'), 'date_creation ASC', true),
    array(l10n('Newest First'), 'date_creation DESC', true),
  );
}

?>
